package cn.iocoder.yudao.module.order.dal.dataobject.orderItemPackLog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 入仓项打包纪录 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_item_pack_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderItemPackLogDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单项id
     */
    private Long orderItemId;

    /**
     * 是否无需打包
     */
    private Boolean isNoNeedToPack;
    /**
     * 入仓内容
     */
    private String orderWarehouseInContent;

    /**
     * 创建者名字
     */
    private String creatorName;

}
